# monitor.h File Reference

Go to the source code of this file.

## Typedefs

typedef MagickBooleanType(* | MagickProgressMonitor )(const char *, const MagickOffsetType, const MagickSizeType, void *)

## Functions

MagickExport MagickProgressMonitor | SetImageProgressMonitor (Image *, const MagickProgressMonitor, void *)
MagickExport MagickProgressMonitor | SetImageInfoProgressMonitor (ImageInfo *, const MagickProgressMonitor, void *)

## Typedef Documentation

typedef MagickBooleanType(* MagickProgressMonitor)(const char *, const MagickOffsetType, const MagickSizeType, void *)

## Function Documentation

MagickExport MagickProgressMonitor SetImageInfoProgressMonitor | ( | ImageInfo * | ,
|  | const | MagickProgressMonitor,
|  | void * |  |
| ) |  |  |

MagickExport MagickProgressMonitor SetImageProgressMonitor | ( | Image * | ,
|  | const | MagickProgressMonitor,
|  | void * |  |
| ) |  |  |